 /***************************************************************************************
 *This program is free software; you can redistribute it and/or modify					*
 * it under the terms of the GNU General Public License as published by					*
 * the Free Software Foundation; either version 2 of the License, or					*
 * (at your option) any later version.													*
 *																						*
 * The GPL can be found at: http://www.gnu.org/copyleft/gpl.html						*
 *																						*
 *																						*	
 ****************************************************************************************
 * Authors:																			  *
 *          Marc Dukette                                                              *
 **************************************************************************************/

#if !defined(AUDIOTHREAD_H)
#define AUDIOTHREAD_H

#include "stdafx.h"

typedef void (CALLBACK*   pInit)(int EQ,char*);
typedef void (CALLBACK* pExit)(void);
typedef void (CALLBACK* pSeekStart)(void);
typedef void (CALLBACK* pSeekEnd)(void);
typedef int (CALLBACK* pGetHeaderInfo)(char * inbuff, int insize, int *Freq, int* ch,int* br,LPTSTR ID3_Title,LPTSTR ID3_Artist,LPTSTR ID3_Album);

typedef int (CALLBACK* pDecompressAudio)(char * inbuff, int insize, char *outmemory, int outmemsize, int *done, int* inputpos);
#endif