
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the DYNAMIC_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// DYNAMIC_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef INIT_EXPORTS
#define INIT_API __declspec(dllexport)
#else
#define INIT_API __declspec(dllimport)
#endif

// This class is exported from the Dynamic.dll
class INIT_API CDynamic {
public:
	CDynamic(void);
	// TODO: add your methods here.
};
typedef struct _UserOptions
{
	bool Rotate;
	bool KeepAlive;
	bool Audio;
	bool Double;
	bool Clean;
	bool Cache;
	bool Slider;
	bool PlayAtOpen;
	bool Shuffle;
	int CacheSize;
	int PauseKey;
	int FastKey;
	int RotateKey;
	int ZoomKey;
	int ToggleKey;
	int VolumeUpKey;
	int VolumeDownKey;
	int BrightnessUpKey;
	int BrightnessDownKey;
	int NextKey;
	int PrevKey;
	int ControlSelectKey;
	int StopKey;
	int MuteKey;
	bool ShowDropped;
	int Brightness;
	int DropTolerance;
	bool AlwaysHide;
	bool NoIndex;
	bool EnableEQ;
	char Eq[11];
	TCHAR Skin[255];
	bool Mute;
	bool Playlist;
	bool Media;
	bool FitToViewPort;
	bool Repeat;
	bool KeepLastFile;
	TCHAR LastFile[255];
	int LastFilePos;
//	TCHAR Preset[20];
//	TCHAR Presets[500];
} UserOptions;


ATOM MyRegisterClass(HINSTANCE hInstance, LPTSTR szWindowClass, WNDPROC WndProc,WNDPROC ToolProc);

INIT_API HWND ExternalInit(HINSTANCE hDll, HINSTANCE hInstance, int nCmdShow,UserOptions* PlayerOptions, HWND* hwndCB,WNDPROC WndProc);
INIT_API void Configure(HINSTANCE hDll, HINSTANCE hInstance,HWND Parent, UserOptions* PlayerOptions);